/**
 * Processes function parameters.
 *
 * @param {ElementAssert} children
 * @returns {Pattern[]}
 */
'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports['default'] = getFunctionParams;

function getFunctionParams(children) {
    var params = [];
    children.passToken('Punctuator', '(');
    children.skipNonCode();
    if (!children.isToken('Punctuator', ')')) {
        params.push(children.passPattern());
        children.skipNonCode();
        while (!children.isToken('Punctuator', ')')) {
            children.passToken('Punctuator', ',');
            children.skipNonCode();
            params.push(children.passPattern());
            children.skipNonCode();
        }
    }
    children.passToken('Punctuator', ')');
    return params;
}

module.exports = exports['default'];